Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZAlphabetOperator Class Reference

## Public Member Functions
| __construct ( $alphabet='alphabet')
| operatorList ()
| namedParameterPerOperator ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$value, $namedParameters, $placement)

## Static Public Member Functions
static | fetchAlphabet ()

## Public Attributes
| $Operators
| $Alphabet

## Detailed Description

! eZKernel The class eZAlphabetOperator does

Definition at line 18 of file ezalphabetoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZAlphabetOperator::__construct | ( |  | $alphabet = `'alphabet'` | ) |

Constructor

Parameters

  string | $alphabet |

Definition at line 25 of file ezalphabetoperator.php.

## Member Function Documentation

## ◆ fetchAlphabet()

static eZAlphabetOperator::fetchAlphabet | ( |  | ) |
| static

Static Returns alphabet.

Definition at line 63 of file ezalphabetoperator.php.

References eZTextCodec\instance(), and eZUTF8Codec\instance().

Referenced by eZContentObjectTreeNode\createObjectNameFilterConditionSQLString(), and modify().

## ◆ modify()

eZAlphabetOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $value,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Definition at line 47 of file ezalphabetoperator.php.

References fetchAlphabet().

## ◆ namedParameterPerOperator()

eZAlphabetOperator::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type.

Definition at line 42 of file ezalphabetoperator.php.

## ◆ operatorList()

eZAlphabetOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 34 of file ezalphabetoperator.php.

References $Operators.

## Member Data Documentation

## ◆ $Alphabet

eZAlphabetOperator::$Alphabet

Definition at line 124 of file ezalphabetoperator.php.

## ◆ $Operators

eZAlphabetOperator::$Operators

Definition at line 123 of file ezalphabetoperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- ezalphabetoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.